//
//  PathDrawingInfo.h
//  Dudel
//
//  Created by Marcus Wyatt on 15/12/10.
//  Copyright 2010 Exceptionz Software Services Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Drawable.h"

@interface PathDrawingInfo : NSObject<Drawable> {
    UIBezierPath *path;
    UIColor *fillColor;
    UIColor *strokeColor;
}

@property (retain, nonatomic) UIBezierPath *path;
@property (retain, nonatomic) UIColor *fillColor;
@property (retain, nonatomic) UIColor *strokeColor;

- (id)initWithPath:(UIBezierPath *)p fillColor:(UIColor *)f strokeColor:(UIColor *)s;

+ (id)pathDrawingInfoWithPath:(UIBezierPath *)p fillColor:(UIColor *)f strokeColor:(UIColor *)s;

@end
