//
//  FreehandTool.h
//  Dudel
//
//  Created by Marcus Wyatt on 15/12/10.
//  Copyright 2010 Exceptionz Software Services Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Tool.h"

@interface FreehandTool : NSObject<Tool> {

    id<ToolDelegate> delegate;
    UIBezierPath *workingPath;
    CGPoint nextSegmentPoint1;
    CGPoint nextSegmentPoint2;
    CGPoint nextSegmentCp1;
    CGPoint nextSegmentCp2;
    BOOL isDragging;
    BOOL settingFirstPoint;
}

@property (nonatomic, retain) UIBezierPath *workingPath;

+ (FreehandTool *)sharedFreehandTool;

@end
